## org.eclipse.datatools.sqltools.result.internal.ui
Class AbstractShiftedListSection

    java.lang.Object
      org.eclipse.datatools.sqltools.result.internal.ui.AbstractShiftedListSection

    public abstract class AbstractShiftedListSection

extends java.lang.Object

Constructor Summary
`AbstractShiftedListSection(java.lang.String sectionTitle, java.lang.String leftTitle, java.lang.String rightTitle)`

Method Summary
`org.eclipse.swt.widgets.Control` `createContents(org.eclipse.swt.widgets.Composite parent)`
`void` `setInput(java.lang.String[] leftItems, java.lang.String[] rightItems, boolean reset)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AbstractShiftedListSection

    public AbstractShiftedListSection(java.lang.String sectionTitle,
                                      java.lang.String leftTitle,
                                      java.lang.String rightTitle)

Method Detail

### createContents

    public org.eclipse.swt.widgets.Control createContents(org.eclipse.swt.widgets.Composite parent)

### setInput

    public void setInput(java.lang.String[] leftItems,
                         java.lang.String[] rightItems,
                         boolean reset)